apiVersion: v1
kind: Service
metadata:
  name: {{ .Release.Name }}-app
  namespace: {{ .Release.Namespace }}
  labels:
    app: {{ .Release.Name }}
spec:
  type: ClusterIP
  ports:
    - port: 80
      targetPort: 1242
      protocol: TCP
      name: http
  selector:
    app: {{ .Release.Name }}-app
